BalanceGet Balance

Get Balance

curl -X GET "https://sandbox-api.aparatech.io/v1/public/balance?page=1&limit=42&currency=example_string" \
  -H "Content-Type: application/json" \
  -H "MID: example_string"
{
  "success": true,
  "message": "Balance fetched successfully",
  "data": {
    "page": 1,
    "limit": 5,
    "total": 1,
    "balances": [
      {
        "currency": "USDC",
        "totalCollectionsAmount": "25000.00",
        "totalPayoutAmount": "15000.00",
        "totalPayoutInTransitBalance": "500.00",
        "totalSettledAmount": "8000.00",
        "totalUnsettledAmount": "2000.00",
        "totalAvailablePrefundingBalance": "12500.00"
      }
    ]
  }
}
GET
/v1/public/balance
GET
Base URLstring

Target server for requests. Edit to use your own host.

query
pageinteger

Page number for pagination.

query
limitinteger

Number of results per page.

query
currencystring

Filter balances by currency (e.g. USDC, USD, EUR)

header
MIDstring
Required

Merchant ID for authentication.

Request Preview
Response

Response will appear here after sending the request

Query Parameters

pageinteger

Page number for pagination.

limitinteger

Number of results per page.

currencystring

Filter balances by currency (e.g. USDC, USD, EUR)

Headers

MIDstring
Required

Merchant ID for authentication.

Responses

successboolean
messagestring
dataobject